"""A collection of Hydra callbacks for logging and performance analysis."""
from .callbacks import (
    AnyRunCallback,
    RuntimePerformance,
    GitInfo,
    MultiRunGatherer,
    LatestRunLink,
)
from .logger import PerfLogger


__all__ = [
    "AnyRunCallback",
    "RuntimePerformance",
    "GitInfo",
    "MultiRunGatherer",
    "LatestRunLink",
    "PerfLogger",
]


try:
    # -- Distribution mode --
    # import from _version.py generated by setuptools_scm during release
    from ._version import version as __version__
except ImportError:  # pragma: no cover
    # -- Source mode --
    # use setuptools_scm to get the current version from src using git
    from setuptools_scm import get_version as _gv
    from os import path as _path

    __version__ = _gv(_path.join(_path.dirname(__file__), _path.pardir))
